import Flutter
import UIKit

public class SwiftBlotoutfluttersdkPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "blotoutfluttersdk", binaryMessenger: registrar.messenger())
    let instance = SwiftBlotoutfluttersdkPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    
    switch call.method {
    case Initialize_SDK:
      break;


    default:
      break;
    }
    
    result("iOS " + UIDevice.current.systemVersion)
  }
}


extension SwiftBlotoutfluttersdkPlugin {
 
    let Initialize_SDK = "initBlotoutSDK"
    let Update_Blotout_SDK = "updateBlotoutSDK"
    let Start_Timed_Event = "startTimedEvent"
    let End_Timed_Event = "endTimedEvent"
    let Start_Timed_Event = "startTimedEvent"
    let Log_Event = "logEvent";
    let Log_Event_With_Time = "logEventWithTime";
    let Log_User_Retention_Event = "logUserRetentionEvent";
    let Log_PII_Event = "logPIIEvent";
    let Log_PHI_Event = "logPHIEvent";
    let Set_SDK_End_Point_Url = "setSDKEndPointUrl";
    let Set_SDK_Enabled = "setSDKEnabled";
}

extension SwiftBlotoutfluttersdkPlugin {
  
}